Skip to main content
GET
/
v2
/
catalog
/
gpus
/
{id}
Error
A valid request URL is required to generate request examples
{
  "id": "NVIDIA GeForce RTX 4090",
  "name": "RTX 4090",
  "pool": "ADA_24",
  "manufacturer": "NVIDIA",
  "memory": 24,
  "secure": true,
  "community": true,
  "price": {
    "secure": 0.44,
    "community": 0.31
  },
  "maxCount": {
    "secure": 8,
    "community": 4
  },
  "dataCenters": [
    {
      "id": "US-CA-2",
      "name": "US California 2"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
enum<string>[]

Comma-separated optional expansions. Supported value today: AVAILABILITY. This may expand with more include values in the future.

Maximum array length: 1

Catalog include expansion. Only AVAILABILITY is supported today; additional include values may be added in the future.

Available options:
AVAILABILITY
product
enum<string>[]

Comma-separated availability product contexts. Supported values: POD, CLUSTER, SERVERLESS. Valid only with include=AVAILABILITY. Upstream default when omitted: POD.

Catalog product availability context.

Available options:
POD,
CLUSTER,
SERVERLESS
count
integer
default:1

GPU count for availability and lowest-price calculations. Valid only with include=AVAILABILITY. Defaults to 1.

Required range: x >= 1
cloud
enum<string>

Cloud type for availability and lowest-price calculations. Valid only with include=AVAILABILITY. Supported values: SECURE, COMMUNITY. Upstream default when omitted: SECURE. GPU availability cloud filter.

Available options:
SECURE,
COMMUNITY
minCudaVersion
string

Minimum CUDA version for availability and lowest-price calculations. Valid only with include=AVAILABILITY. Format: integer major or major.minor, e.g. 12 or 12.1.

Response

OK

id
string
required

Individual GPU type identifier (use for pod creation)

Example:

"NVIDIA GeForce RTX 4090"

name
string
required
Example:

"RTX 4090"

pool
string | null
required

Serverless GPU pool ID (use for serverless endpoint creation). Null if GPU is not in a serverless pool.

Example:

"ADA_24"

manufacturer
string
required
Example:

"NVIDIA"

memory
integer
required

VRAM in GB

Example:

24

secure
boolean
required

Available on secure cloud

Example:

true

community
boolean
required

Available on community cloud

Example:

true

price
object
required
maxCount
object
required
availability
enum<string>

Overall GPU availability. Present only when requested with include=AVAILABILITY.

Available options:
NONE,
LOW,
MEDIUM,
HIGH
dataCenters
object[]

Per-datacenter GPU availability. Present only when requested with include=AVAILABILITY.